<?php
session_start();
include "verifica.php";
include "correlativos.php";

@$xnombres=trim($_REQUEST['xnombres']);
@$xrazonsocial=trim($_REQUEST['xrazonsocial']);

@$xruc=trim($_REQUEST['xruc']);
@$xtelefono1=trim($_REQUEST['xtelefono1']);
@$xdireccion1=trim($_REQUEST['xdireccion1']);
@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";

$nu = "9999999999"; 
$xnu = time().rand(1,$nu);

$correlativo = $cor->persona($conexion);		
$correlativo_persona=$correlativo;		

//if(trim($xclave) == '' or $xclave == NULL){
	$xclave = $correlativo_persona;
//}else{
//	$xclave	= $xclave;		
//}

$r = mysqli_query($conexion,"insert into personas (per_nombre_comercial, 
										  per_razon_social,
										  per_ruc,
										  pertip_codi_fk,
										  per_estado,
										  per_telefono1,
										  per_direccion2,
										  per_usu_crea,
										  per_idtrans,
										  per_codigo,
										  per_clave)
								values ('$xnombres', 
										'$xrazonsocial',
										'$xruc',
										2,
										1,
										'$xtelefono1',
										'$xdireccion1',
										'$xusuario_sesion',
										'$xnu',
										'$correlativo_persona',
										'$xclave');");

if($r){

	$r_id = mysqli_query($conexion,"SELECT per_codi FROM personas p WHERE per_idtrans='$xnu';");
	while($row_id=mysqli_fetch_array($r_id)){
		$xid=$row_id['per_codi'];				
	}			
	
	if(mysqli_num_rows($r_id)>0){
		?>			
		<script language="javascript">
		
		parent.document.getElementById('xproveedor').options[0]=new Option('<?php echo $xnombres;?>',<?php echo $xid;?>,"defaultSelected");
		parent.cerraradicionar('d_crea_cliente');
		//parent.location.href="../clientes.php";
		</script>			
		<?php
	}else{
		?>
		<script language="javascript">
		alert("Los datos no pudieron ser recuperados, salga de la pantalla de ordenes de pedido, vuelva a ingresar y seleccione el cliente de la lista.");
		
		</script>			
			
		<?php		
	}
	
}



?>
